var Habra = {
	Ringtone: {
		app: null,
		appId: 'ringtonePlayer',
		containerId: 'ringtoneContainer',
		fileName: 'tone4.mp3'
	},
	messageBoxId: 'messageBox',
	timer: null
}

// Выполняется когда загрузился Flash-ролик
function HabraRingtoneIsReady(object) {
	$(Habra.Ringtone.appId).setRingtone(Habra.Ringtone.fileName);
	$(Habra.messageBoxId).addClass('success').set('text','Flash-объект успешно загружен!');
	setButtonState(true);
	Habra.timer = clearMessage.delay(5000);
}

function clearMessage(){
	$(Habra.messageBoxId).empty()
	var morph = new Fx.Morph(Habra.messageBoxId);
	morph.start({ padding: '0px', border: '0px'});
}

// Очень важное событие
function veryImportantEvent() {
	$clear(Habra.timer);
	$(Habra.Ringtone.appId).playRingtone(3,5,100,60);
	$(Habra.messageBoxId).erase('style').set('class','notice').set('html','Наступило важное событие <a href="javascript:void(0)" onClick="stopImportantEvent()"><b>Ok</b></a>');
	setButtonState(false);
}

// Очень важное событие
function stopImportantEvent() {
	$(Habra.Ringtone.appId).stopRingtone();
	clearMessage();
	setButtonState(true);
}

// Показать/спрятать кнопку
function setButtonState(isVisible) {
	var value = 'hidden';
	if (isVisible) {
		value = 'visible';
	}
	$('eventGenerator').setStyle('visibility',value);
}

// Стартовая инициализация
function onLoad() {
	prettyPrint();
	Habra.Ringtone.app = new Swiff("./HabraRingtone.swf", {	
		container: $(Habra.Ringtone.containerId),
		id: Habra.Ringtone.appId,
		width: 1,
		height: 1,
	});
}
